﻿




<form novalidate name="FormDetails.model">
    <div class="form-group">
        <div class="col-md-9 col-xs-12">
            <div ng-class="{ 'has-error': FormDetails.model.name.$touched && FormDetails.model.name.$invalid,
                                   'has-success': FormDetails.model.name.$touched && FormDetails.model.name.$valid}">
                <label class="control-label">{{transaction.Name}} </label>
                <input type="text" class="form-control" name="name" required
                       ng-model="model.name">
                <div class="help-block" ng-messages="FormDetails.model.name.$error" ng-show="FormDetails.model.name.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>
            <div ng-class="{ 'has-error': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$invalid,
                                   'has-success': FormDetails.model.isBin.$touched && FormDetails.model.isBin.$valid}">
                <label class="control-label">خيار مميز </label>
                <input type="checkbox" name="isBin" 
                       ng-model="model.isBin">
            </div>
            <div ng-class="{ 'has-error': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$invalid,
                                   'has-success': FormDetails.model.categoryId.$touched && FormDetails.model.categoryId.$valid}">
                <label class="control-label">التصنيف الفرعي</label>
                <select name="parentId" class="form-control" required ng-model="model.categoryId">
                    <option ng-repeat="i in childCategories" value="{{i.id}}">{{i.name}}</option>
                </select>
                <div class="help-block" ng-messages="FormDetails.model.categoryId.$error" ng-show="FormDetails.model.categoryId.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>


            </div>

            <div ng-class="{ 'has-error': FormDetails.model.owner.$touched && FormDetails.model.owner.$invalid,
                                   'has-success': FormDetails.model.owner.$touched && FormDetails.model.owner.$valid}">
                <label class="control-label"> صاحب المشروع </label>
                <input type="text" class="form-control" name="owner"
                       ng-model="model.owner">
                <div class="help-block" ng-messages="FormDetails.model.owner.$error" ng-show="FormDetails.model.owner.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>

            <div ng-class="{ 'has-error': FormDetails.model.idea.$touched && FormDetails.model.idea.$invalid,
                                   'has-success': FormDetails.model.idea.$touched && FormDetails.model.idea.$valid}">
                <label class="control-label"> فكرة المشروع </label>
                <input type="text" class="form-control" name="idea"
                       ng-model="model.idea">
                <div class="help-block" ng-messages="FormDetails.model.idea.$error" ng-show="FormDetails.model.idea.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>

        </div>




        <div class="col-xs-3">
            <label class="control-label" style="margin-right: 33px;">{{transaction.Photo}}</label>

            <br />
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> العرض : {{uploadedImageWidth}}</label>
            <label class="control-label" style="margin-right: 33px;" ng-show="uploadedImageWidth!=0 || uploadedImageHeight!=0"> الطول : {{uploadedImageHeight}}</label>
            <div style="margin-right: 27px;" class="fileinput fileinput-new" ng-change="imageChange()" ng-model="model.attachmentViewModel" base-sixty-four-input data-provides="fileinput">
                <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 200px; height: 150px;">
                    <img id="adImg" ng-src="{{(model.attachmentViewModel && model.attachmentViewModel.base64 ) ?  'data:image/png;base64, ' +   model.attachmentViewModel.base64 :  model.attachmentUrl}}" />
                </div>
                <div>
                    <span class="btn btn-default btn-file" ng-click="deletehidebutton=false">
                        <span class="fileinput-new">{{transaction.SelectImage}}</span>
                        <span class="fileinput-exists">{{transaction.ChangeImage}}</span>
                        <input type="file" name="... " accept='image/*' id="adsFU">
                    </span>
                    <!--<a href="#" class="btn btn-default fileinput-exists" ng-show="deletehidebutton==false || model.attachmentUrl != ''" ng-click="delteimage(model.id);" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>-->
                   
                </div>
                <a class="btn btn-default fileinput" ng-click="delteimage(model.id);deletehidebutton=false" ng-show="deletehidebutton" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>
                <a class="btn btn-danger fileinput" ng-show="model.attachmentUrl || (model.attachmentViewModel && model.attachmentViewModel.base64 )" ng-click="removeImageUrl();" data-dismiss="fileinput">{{transaction.RemoveImage}}</a>

            </div>
            <div class="help-block" ng-messages="FormDetails.model.attachmentViewModel.$error" ng-show="FormDetails.model.attachmentViewModel.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>

    </div>

    <div class="form-group">

        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.country.$touched && FormDetails.model.country.$invalid,
                                   'has-success': FormDetails.model.country.$touched && FormDetails.model.country.$valid}">
            <label class="control-label">{{transaction.Country}} </label>
            <select name="country" required=""
                    class="form-control" ng-change="onCountryChange(model.country.id)" ng-options="country.name for country in countries track by country.id" ng-model="model.country">
                <option ng-selected="true" value="">{{transaction.ChooseCountry}}</option>
            </select>


            <div class="help-block" ng-messages="FormDetails.model.country.$error" ng-show="FormDetails.model.country.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>
        </div>
        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.city.$touched && FormDetails.model.city.$invalid,
                                   'has-success': FormDetails.model.city.$touched && FormDetails.model.city.$valid}">
            <label class="control-label">{{transaction.City}} </label>
            <select ng-options="city.name for city in cities track by city.id" ng-model="model.city"
                    name="city" required="" ng-disabled="disabledCityDrp"
                    class="form-control" ng-change="onCityChange(model.city.id)">
                <option ng-selected="true" value="">{{transaction.ChooseCity}}</option>

                <!--<option ng-repeat="city in cities"      value="{{city.id}}">{{city.name}}</option>-->
            </select>


            <div class="help-block" ng-messages="FormDetails.model.city.$error" ng-show="FormDetails.model.city.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>


        </div>
        <div class="col-md-4 col-xs-12" ng-class="{ 'has-error': FormDetails.model.municipality.$touched && FormDetails.model.municipality.$invalid,
                                   'has-success': FormDetails.model.municipality.$touched && FormDetails.model.municipality.$valid}">
            <label class="control-label">{{transaction.Municipality}} </label>


            <select ng-options="municipality.arabicName for municipality in Municipalities track by municipality.id" ng-model="model.municipality"
                    name="municipality"
                    class="form-control" ng-disabled="disabledMunicipalityDrp">
                <option ng-selected="true" value="">{{transaction.ChooseMunicipality}}</option>

                <!--<option ng-repeat="municipality in Municipalities" value="{{municipality.id}}">{{municipality.arabicName}}</option>-->
            </select>


            <div class="help-block" ng-messages="FormDetails.model.municipality.$error" ng-show="FormDetails.model.municipality.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>
            </div>


        </div>



    </div>
    <div class="form-group">

        <div class="col-md-12 col-xs-12" ng-class="{'has-error':FormDetails.model.description.$touched && FormDetails.model.description.$invalid,
                                                    'has-success':FormDetails.model.description.$touched && FormDetails.model.description.$valid}">
            <label class="control-label">{{transaction.Description}} </label>
            <textarea type="text" class="form-control" name="description"
                      ng-model="model.description"></textarea>
            <div class="help-block" ng-messages="FormDetails.model.description.$error" ng-show="FormDetails.model.description.$touched">
                <div ng-messages-include="/App/Templates/messages.html"></div>

            </div>
        </div>
    </div>
    <br />
    <br />
</form>











